package com.atomicriot.pinacoladaxb.HideAndSeek;

import org.bukkit.block.Block;
import org.bukkit.ChatColor;
import org.bukkit.Material;
import org.bukkit.event.block.BlockBreakEvent;
import org.bukkit.event.block.BlockDamageEvent;
import org.bukkit.event.block.BlockListener;
import org.bukkit.event.block.BlockPlaceEvent;

/**
 * HideAndSeek block listener
 * @author pinacoladaxb
 */
public class HideAndSeekBlockListener extends BlockListener {
    private final HideAndSeek plugin;

    public HideAndSeekBlockListener(final HideAndSeek plugin) {

        this.plugin = plugin;
    }
    
    public void onBlockBreak(BlockBreakEvent event) {
    	if(plugin.gameState!=0) {
    		event.setCancelled(true);
    	} else {
    		event.setCancelled(false);
    	}
    }
    public void onBlockPlace(BlockPlaceEvent event) {
    	if(plugin.gameState!=0) {
    		event.setCancelled(true);
    	} else {
    		event.setCancelled(false);
    	}
    }
    
    //TODO: Remove from official release:   
    public void onBlockDamage(BlockDamageEvent event) {
    	Block block=event.getBlock();
    	if(this.plugin.gameState==0) {
    		block.setType(Material.AIR);
    	} else {
    		//TODO: Fix bug above
    	}
    	   	
    	if(block.getType()==Material.WEB && event.getPlayer()==plugin.seeker && plugin.gameState==1) {
    		plugin.broadcast(ChatColor.RED+plugin.seeker.getName()+ChatColor.GREEN+" is trying to cheat!!!");
    	}
    }    
}
